## org.plovr
Class CustomPassConfig

    java.lang.Object
      org.plovr.CustomPassConfig

    public class CustomPassConfig

extends java.lang.Object

Nested Class Summary
`static class` `CustomPassConfig.CustomPassConfigDeserializer` Unfortunately, `CustomPassConfig` needs a custom deserializer because "class" is a Java keyword, so having a getClass() setter that returns a String is problematic.

Constructor Summary
`CustomPassConfig()`

Method Summary
`java.lang.String` `getClassName()`
`com.google.javascript.jscomp.CustomPassExecutionTime` `getWhen()`
`void` `setClassName(java.lang.String className)`
`void` `setWhen(com.google.javascript.jscomp.CustomPassExecutionTime when)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomPassConfig

    public CustomPassConfig()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getWhen

    public com.google.javascript.jscomp.CustomPassExecutionTime getWhen()

### setWhen

    public void setWhen(com.google.javascript.jscomp.CustomPassExecutionTime when)